Subject: Re: bug#74744: Build failure: SEGV in temacs (with "Pure Lisp storage overflowed")

From: Eli Zaretskii <[email-masked]>
Date: Mon, 09 Dec 2024 18:27:47 +0200

> Date: Mon, 9 Dec 2024 16:23:56 +0100
> Cc: [email-masked]
> From: Eric Marsden <[email-masked]>
> 
> On 09/12/2024 16:03, Eli Zaretskii wrote:
> > And if you enlarge PURESIZE, does the segfault go away?
> >
> > Also, please try without --enable-link-time-optimization and without
> > the -flto=8 -ffat-lto-objects compiler options.
> 
> Thanks, inspired by Pip's suggestion I used
> 
>    ./configure --with-options
>    make FAST=true bootstrap
> 
> which worked, so I have not investigated further. I was not anticipating
> that the default make recipe might fail due to pre-existing object files.

Yes, pure space can overflow if loadup loads byte-compiled files.
This is a known subtlety that sometimes pops up.